﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="WebUserControl2.ascx.cs" Inherits="WebUserControl2" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<telerik:RadListView ID="RadListView1" Width="97%" AllowPaging="True" runat="server"
            AllowSorting="true" OnNeedDataSource="RadListView1_NeedDataSource" ItemPlaceholderID="ProductsHolder"
            DataKeyNames="ProductID">
            <LayoutTemplate>
                <fieldset style="width: 700px;" id="FieldSet1">
                    <legend>Products</legend>
                    <asp:Panel ID="ProductsHolder" runat="server" />
                </fieldset>
            </LayoutTemplate>
            <ItemTemplate>
                <div style="float: left;">
                    <table cellpadding="0" cellspacing="0" style="width: 230px;">
                        <tr>
                            <td style="width: 20%;">
                                Name:
                            </td>
                            <td style="width: 80%; padding-left: 5px;">
                                <%# Eval("ProductName") %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Quantity:
                            </td>
                            <td style="width: 80%; padding-left: 5px;">
                                <%# Eval("QuantityPerUnit") %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Price:
                            </td>
                            <td style="width: 80%; padding-left: 5px;">
                                <%# DataBinder.Eval(Container.DataItem, "UnitPrice", "{0:C}") %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Units:
                            </td>
                            <td style="width: 80%; padding-left: 5px;">
                                <%# Eval("UnitsInStock") %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Available:
                            </td>
                            <td style="width: 80%; padding-left: 5px;">
                                <%# ((bool)DataBinder.Eval(Container.DataItem,"Discontinued") == false ? "Yes" : "No") %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <hr />
                            </td>
                            <td>
                                <hr />
                            </td>
                        </tr>
                    </table>
                </div>
            </ItemTemplate>
        </telerik:RadListView>

        <telerik:RadDataPager ID="RadDataPager1" runat="server" PagedControlID="RadListView1" Width="700px"
                    PageSize="6">
                    <Fields>
                        <telerik:RadDataPagerButtonField FieldType="FirstPrev" />
                        <telerik:RadDataPagerButtonField FieldType="Numeric" />
                        <telerik:RadDataPagerButtonField FieldType="NextLast" />
                    </Fields>
                </telerik:RadDataPager>